Bug 269148 - Exceptions in unit tests (old code model)
Exceptions in unit tests (old code model)
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
All All
: P2 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-28 11:54 UTC by Vladimir Kvashin
Modified: 2016-12-09 12:09 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-11-28 11:54:51 UTC
at enum in /hudson/job/cnd-test-solaris.sparc/13929/consoleFull
there are lots of exceptions 

    [junit] ------------- Standard Error -----------------
    [junit] Nov 27, 2016 10:10:27 PM org.netbeans.modules.cnd.apt.debug.APTTraceFlags <clinit>
    [junit] INFO: C/C++ code model: using old preprocessor
    [junit] Nov 27, 2016 10:10:28 PM org.netbeans.modules.cnd.utils.CndUtils assertTrueInConsole
    [junit] INFO: CndFileSystemProvider NOT FOUND
    [junit] java.lang.Exception: CndFileSystemProvider NOT FOUND
    [junit] @[main]
    [junit]     at org.netbeans.modules.cnd.utils.CndUtils.assertTrueInConsole(CndUtils.java:222)
    [junit]     at org.netbeans.modules.cnd.spi.utils.CndFileSystemProvider$DefaultProvider.<init>(CndFileSystemProvider.java:340)
    [junit]     at org.netbeans.modules.cnd.spi.utils.CndFileSystemProvider.<clinit>(CndFileSystemProvider.java:73)
    [junit]     at org.netbeans.modules.cnd.apt.support.api.StartEntry.<init>(StartEntry.java:74)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.createStartEntry(APTConditionResolverTest.java:169)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.<init>(APTConditionResolverTest.java:164)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest.testLongVsUint(APTConditionResolverTest.java:155)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit]     at java.lang.reflect.Method.invoke(Method.java:498)
    [junit]     at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit]     at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit]     at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit]     at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit]     at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit]     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit]     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit]     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit]     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit]     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit]     at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit]     at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1033)
    [junit]
    [junit] Nov 27, 2016 10:10:28 PM org.netbeans.modules.cnd.utils.CndUtils severe
    [junit] SEVERE: Start entry path should be absolute! FS=[org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$DummyFileSystem@4563e9ab] Path=testLongVsUint
    [junit] java.lang.Exception: Start entry path should be absolute! FS=[org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$DummyFileSystem@4563e9ab] Path=testLongVsUint
    [junit] @[main]
    [junit]     at org.netbeans.modules.cnd.utils.CndUtils.severe(CndUtils.java:210)
    [junit]     at org.netbeans.modules.cnd.utils.CndUtils.assertTrue(CndUtils.java:191)
    [junit]     at org.netbeans.modules.cnd.apt.support.api.StartEntry.<init>(StartEntry.java:74)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.createStartEntry(APTConditionResolverTest.java:169)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.<init>(APTConditionResolverTest.java:164)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest.testLongVsUint(APTConditionResolverTest.java:155)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit]     at java.lang.reflect.Method.invoke(Method.java:498)
    [junit]     at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit]     at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit]     at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit]     at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit]     at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit]     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit]     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit]     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit]     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit]     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit]     at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit]     at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1033)
    [junit]
    [junit] Nov 27, 2016 10:10:28 PM org.netbeans.modules.cnd.utils.CndUtils severe
    [junit] SEVERE: Start entry path should be absolute! FS=[org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$DummyFileSystem@31206beb] Path=SIZEOF_CHECKER
    [junit] java.lang.Exception: Start entry path should be absolute! FS=[org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$DummyFileSystem@31206beb] Path=SIZEOF_CHECKER
    [junit] @[main]
    [junit]     at org.netbeans.modules.cnd.utils.CndUtils.severe(CndUtils.java:210)
    [junit]     at org.netbeans.modules.cnd.utils.CndUtils.assertTrue(CndUtils.java:191)
    [junit]     at org.netbeans.modules.cnd.apt.support.api.StartEntry.<init>(StartEntry.java:74)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.createStartEntry(APTConditionResolverTest.java:169)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest$TestWalker.<init>(APTConditionResolverTest.java:164)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest.doTestSizeof(APTConditionResolverTest.java:132)
    [junit]     at org.netbeans.modules.cnd.apt.support.APTConditionResolverTest.test8BytesLong(APTConditionResolverTest.java:120)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    [junit]     at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    [junit]     at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    [junit]     at java.lang.reflect.Method.invoke(Method.java:498)
    [junit]     at org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:50)
    [junit]     at org.junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
    [junit]     at org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:47)
    [junit]     at org.junit.internal.runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
    [junit]     at org.junit.runners.ParentRunner.runLeaf(ParentRunner.java:325)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:78)
    [junit]     at org.junit.runners.BlockJUnit4ClassRunner.runChild(BlockJUnit4ClassRunner.java:57)
    [junit]     at org.junit.runners.ParentRunner$3.run(ParentRunner.java:290)
    [junit]     at org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:71)
    [junit]     at org.junit.runners.ParentRunner.runChildren(ParentRunner.java:288)
    [junit]     at org.junit.runners.ParentRunner.access$000(ParentRunner.java:58)
    [junit]     at org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:268)
    [junit]     at org.junit.runners.ParentRunner.run(ParentRunner.java:363)
    [junit]     at junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.run(JUnitTestRunner.java:535)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1182)
    [junit]     at org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1033)

This is most likely a consequence of the fix of issue 262844
Comment 1 Vladimir Kvashin 2016-11-28 17:59:00 UTC
Should be fixed by 997ec8c80acd on enum/r82
Comment 2 Quality Engineering 2016-12-03 03:03:54 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7db86963f65c
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #269148 - Exceptions in unit tests (old code model)
(transplanted from 997ec8c80acd5a468589c7e52753d02ec27ca5bc)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo